// Autogenerated from Pigeon (v1.0.10), do not edit directly.
// See also: https://pub.dev/packages/pigeon
#import "pigeon.h"
#import <Flutter/Flutter.h>

#if !__has_feature(objc_arc)
#error File requires ARC to be enabled.
#endif

static NSDictionary<NSString *, id> *wrapResult(id result, FlutterError *error) {
  NSDictionary *errorDict = (NSDictionary *)[NSNull null];
  if (error) {
    errorDict = @{
        @"code": (error.code ? error.code : [NSNull null]),
        @"message": (error.message ? error.message : [NSNull null]),
        @"details": (error.details ? error.details : [NSNull null]),
        };
  }
  return @{
      @"result": (result ? result : [NSNull null]),
      @"error": errorDict,
      };
}

@interface IosCaptureProperty ()
+ (IosCaptureProperty *)fromMap:(NSDictionary *)dict;
- (NSDictionary *)toMap;
@end
@interface IosAppInfo ()
+ (IosAppInfo *)fromMap:(NSDictionary *)dict;
- (NSDictionary *)toMap;
@end

@implementation IosCaptureProperty
+ (IosCaptureProperty *)fromMap:(NSDictionary *)dict {
  IosCaptureProperty *result = [[IosCaptureProperty alloc] init];
  return result;
}
- (NSDictionary *)toMap {
  return [NSDictionary dictionaryWithObjectsAndKeys:nil];
}
@end

@implementation IosAppInfo
+ (IosAppInfo *)fromMap:(NSDictionary *)dict {
  IosAppInfo *result = [[IosAppInfo alloc] init];
  result.appId = dict[@"appId"];
  if ((NSNull *)result.appId == [NSNull null]) {
    result.appId = nil;
  }
  result.appKey = dict[@"appKey"];
  if ((NSNull *)result.appKey == [NSNull null]) {
    result.appKey = nil;
  }
  result.developerId = dict[@"developerId"];
  if ((NSNull *)result.developerId == [NSNull null]) {
    result.developerId = nil;
  }
  return result;
}
- (NSDictionary *)toMap {
  return [NSDictionary dictionaryWithObjectsAndKeys:(self.appId ? self.appId : [NSNull null]), @"appId", (self.appKey ? self.appKey : [NSNull null]), @"appKey", (self.developerId ? self.developerId : [NSNull null]), @"developerId", nil];
}
@end

@interface PigeonIosTransportCodecReader : FlutterStandardReader
@end
@implementation PigeonIosTransportCodecReader
- (nullable id)readValueOfType:(UInt8)type 
{
  switch (type) {
    case 128:     
      return [IosAppInfo fromMap:[self readValue]];
    
    case 129:     
      return [IosCaptureProperty fromMap:[self readValue]];
    
    default:    
      return [super readValueOfType:type];
    
  }
}
@end

@interface PigeonIosTransportCodecWriter : FlutterStandardWriter
@end
@implementation PigeonIosTransportCodecWriter
- (void)writeValue:(id)value 
{
  if ([value isKindOfClass:[IosAppInfo class]]) {
    [self writeByte:128];
    [self writeValue:[value toMap]];
  } else 
  if ([value isKindOfClass:[IosCaptureProperty class]]) {
    [self writeByte:129];
    [self writeValue:[value toMap]];
  } else 
{
    [super writeValue:value];
  }
}
@end

@interface PigeonIosTransportCodecReaderWriter : FlutterStandardReaderWriter
@end
@implementation PigeonIosTransportCodecReaderWriter
- (FlutterStandardWriter *)writerWithData:(NSMutableData *)data {
  return [[PigeonIosTransportCodecWriter alloc] initWithData:data];
}
- (FlutterStandardReader *)readerWithData:(NSData *)data {
  return [[PigeonIosTransportCodecReader alloc] initWithData:data];
}
@end

NSObject<FlutterMessageCodec> *PigeonIosTransportGetCodec() {
  static dispatch_once_t s_pred = 0;
  static FlutterStandardMessageCodec *s_sharedObject = nil;
  dispatch_once(&s_pred, ^{
    PigeonIosTransportCodecReaderWriter *readerWriter = [[PigeonIosTransportCodecReaderWriter alloc] init];
    s_sharedObject = [FlutterStandardMessageCodec codecWithReaderWriter:readerWriter];
  });
  return s_sharedObject;
}


void PigeonIosTransportSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<PigeonIosTransport> *api) {
  {
    FlutterBasicMessageChannel *channel =
      [FlutterBasicMessageChannel
        messageChannelWithName:@"dev.flutter.pigeon.PigeonIosTransport.getProperty"
        binaryMessenger:binaryMessenger
        codec:PigeonIosTransportGetCodec()];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(getPropertyClientOrDeviceHandle:property:error:)], @"PigeonIosTransport api (%@) doesn't respond to @selector(getPropertyClientOrDeviceHandle:property:error:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        NSArray *args = message;
        NSNumber *arg_clientOrDeviceHandle = args[0];
        IosCaptureProperty *arg_property = args[1];
        FlutterError *error;
        NSNumber *output = [api getPropertyClientOrDeviceHandle:arg_clientOrDeviceHandle property:arg_property error:&error];
        callback(wrapResult(output, error));
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [FlutterBasicMessageChannel
        messageChannelWithName:@"dev.flutter.pigeon.PigeonIosTransport.setProperty"
        binaryMessenger:binaryMessenger
        codec:PigeonIosTransportGetCodec()];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(setPropertyClientOrDeviceHandle:property:error:)], @"PigeonIosTransport api (%@) doesn't respond to @selector(setPropertyClientOrDeviceHandle:property:error:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        NSArray *args = message;
        NSNumber *arg_clientOrDeviceHandle = args[0];
        IosCaptureProperty *arg_property = args[1];
        FlutterError *error;
        NSNumber *output = [api setPropertyClientOrDeviceHandle:arg_clientOrDeviceHandle property:arg_property error:&error];
        callback(wrapResult(output, error));
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [FlutterBasicMessageChannel
        messageChannelWithName:@"dev.flutter.pigeon.PigeonIosTransport.openDevice"
        binaryMessenger:binaryMessenger
        codec:PigeonIosTransportGetCodec()];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(openDeviceClientHandle:guid:error:)], @"PigeonIosTransport api (%@) doesn't respond to @selector(openDeviceClientHandle:guid:error:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        NSArray *args = message;
        NSNumber *arg_clientHandle = args[0];
        NSString *arg_guid = args[1];
        FlutterError *error;
        NSNumber *output = [api openDeviceClientHandle:arg_clientHandle guid:arg_guid error:&error];
        callback(wrapResult(output, error));
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [FlutterBasicMessageChannel
        messageChannelWithName:@"dev.flutter.pigeon.PigeonIosTransport.open"
        binaryMessenger:binaryMessenger
        codec:PigeonIosTransportGetCodec()];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(openHost:appInfo:error:)], @"PigeonIosTransport api (%@) doesn't respond to @selector(openHost:appInfo:error:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        NSArray *args = message;
        NSString *arg_host = args[0];
        IosAppInfo *arg_appInfo = args[1];
        FlutterError *error;
        NSNumber *output = [api openHost:arg_host appInfo:arg_appInfo error:&error];
        callback(wrapResult(output, error));
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
  {
    FlutterBasicMessageChannel *channel =
      [FlutterBasicMessageChannel
        messageChannelWithName:@"dev.flutter.pigeon.PigeonIosTransport.close"
        binaryMessenger:binaryMessenger
        codec:PigeonIosTransportGetCodec()];
    if (api) {
      NSCAssert([api respondsToSelector:@selector(closeHandle:error:)], @"PigeonIosTransport api (%@) doesn't respond to @selector(closeHandle:error:)", api);
      [channel setMessageHandler:^(id _Nullable message, FlutterReply callback) {
        NSArray *args = message;
        NSNumber *arg_handle = args[0];
        FlutterError *error;
        NSNumber *output = [api closeHandle:arg_handle error:&error];
        callback(wrapResult(output, error));
      }];
    }
    else {
      [channel setMessageHandler:nil];
    }
  }
}
@interface PigeonIosTransportApiCodecReader : FlutterStandardReader
@end
@implementation PigeonIosTransportApiCodecReader
@end

@interface PigeonIosTransportApiCodecWriter : FlutterStandardWriter
@end
@implementation PigeonIosTransportApiCodecWriter
@end

@interface PigeonIosTransportApiCodecReaderWriter : FlutterStandardReaderWriter
@end
@implementation PigeonIosTransportApiCodecReaderWriter
- (FlutterStandardWriter *)writerWithData:(NSMutableData *)data {
  return [[PigeonIosTransportApiCodecWriter alloc] initWithData:data];
}
- (FlutterStandardReader *)readerWithData:(NSData *)data {
  return [[PigeonIosTransportApiCodecReader alloc] initWithData:data];
}
@end

NSObject<FlutterMessageCodec> *PigeonIosTransportApiGetCodec() {
  static dispatch_once_t s_pred = 0;
  static FlutterStandardMessageCodec *s_sharedObject = nil;
  dispatch_once(&s_pred, ^{
    PigeonIosTransportApiCodecReaderWriter *readerWriter = [[PigeonIosTransportApiCodecReaderWriter alloc] init];
    s_sharedObject = [FlutterStandardMessageCodec codecWithReaderWriter:readerWriter];
  });
  return s_sharedObject;
}


void PigeonIosTransportApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<PigeonIosTransportApi> *api) {
}
